%% Script to demo Gratton-method of ocular correction
% import data file and get channel info

[ALLEEG EEG CURRENTSET ALLCOM] = eeglab;
EEG = pop_loadcnt('C:\Users\JJBA\DOCS\Courses\Psy501\SampleData\PIL999_VEOG.CNT' , 'dataformat', 'int16',  'keystroke', 'on');
[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, 0,'gui','off'); 
eeglab redraw;

% Rename CB sites that are mislabeled courtesy of Neuroscan
EEG.chanlocs(26).labels='FC5';
EEG.chanlocs(27).labels='FC6';
EEG.chanlocs(28).labels='CP5';
EEG.chanlocs(29).labels='CP6';
   
% Import Channel Location Information
EEG=pop_chanedit(EEG, 'lookup','C:\\Program Files\\MATLAB\\eeglab8_0_3_5b\\plugins\\dipfit2.2\\standard_BESA\\standard-10-5-cap385.elp');
[ALLEEG EEG] = eeg_store(ALLEEG, EEG, CURRENTSET);
EEG = eeg_checkset( EEG );
eeglab redraw

%% Epoch file
EEG = pop_epoch( EEG, {  '100'  '101'  }, [-0.25        1.25], 'newname', 'CNT file epochs', 'epochinfo', 'yes');
[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, 1,'gui','off'); 
EEG = eeg_checkset( EEG );
EEG = pop_rmbase( EEG, [-250    0]);
[ALLEEG EEG] = eeg_store(ALLEEG, EEG, CURRENTSET);
eeglab redraw

%% Perform correction
EEG = pop_gratton(EEG); [ALLEEG EEG CURRENTSET]=eeg_store(ALLEEG,EEG);eeglab redraw;
[ALLEEG EEG] = eeg_store(ALLEEG, EEG, CURRENTSET);

%% compare

[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, 3,'retrieve',2,'study',0); 
EEG = eeg_checkset( EEG );
pop_eegplot( EEG, 1, 1, 1);
[ALLEEG EEG CURRENTSET] = pop_newset(ALLEEG, EEG, 2,'retrieve',3,'study',0); 
EEG = eeg_checkset( EEG );
pop_eegplot( EEG, 1, 1, 1);

